Agents
Delete an agent version
DELETE
/agents/{agent_name}/versions/{agent_version}Deletes a specific version of an agent. For hosted agents, if the version has active sessions, the request is rejected with HTTP 409 unless `force` is set to true. When force is true, all sessions associated with this version are cascade-deleted.
Path ParametersQuery Parameters
agent_namestringrequired
The name of the agent to delete.agent_versionstringrequired
The version of the agent to deleteforcebooleanoptionaldefault: false
For Hosted Agents, if `true`, force-deletes the version even if it has active sessions, cascading deletion to all associated sessions. The service defaults to `false` if a value is not specified by the caller. This value is not relevant for other Agent types.api-versionstringrequired
The API version to use for this operation.Responses
objectenumrequired
The object type. Always 'agent.version.deleted'.agent.version.deleted
namestringrequired
The name of the agent.versionstringrequired
The version identifier of the agent.deletedbooleanrequired
Whether the agent was successfully deleted.